## org.eclipse.emf.mapping
Interface MappingPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  MappingPackageImpl

    public interface MappingPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `MappingFactory`

Nested Class Summary
`static interface` `MappingPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `COMPLEX_TYPE_CONVERTER` The meta object id for the '`Complex Type Converter`' class
`static int` `COMPLEX_TYPE_CONVERTER__HELPED_OBJECT` The feature id for the 'Helped Object' reference
`static int` `COMPLEX_TYPE_CONVERTER__IN2OUT` The feature id for the 'In2out' reference
`static int` `COMPLEX_TYPE_CONVERTER__MAPPER` The feature id for the 'Mapper' container reference
`static int` `COMPLEX_TYPE_CONVERTER__NESTED` The feature id for the 'Nested' containment reference list
`static int` `COMPLEX_TYPE_CONVERTER__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `COMPLEX_TYPE_CONVERTER__OUT2IN` The feature id for the 'Out2in' reference
`static int` `COMPLEX_TYPE_CONVERTER_FEATURE_COUNT` The number of structural features of the 'Complex Type Converter' class
`static MappingPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FUNCTION_NAME_PAIR` The meta object id for the '`Function Name Pair`' class
`static int` `FUNCTION_NAME_PAIR__HELPED_OBJECT` The feature id for the 'Helped Object' reference
`static int` `FUNCTION_NAME_PAIR__IN2OUT` The feature id for the 'In2out' attribute
`static int` `FUNCTION_NAME_PAIR__MAPPER` The feature id for the 'Mapper' container reference
`static int` `FUNCTION_NAME_PAIR__NESTED` The feature id for the 'Nested' containment reference list
`static int` `FUNCTION_NAME_PAIR__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `FUNCTION_NAME_PAIR__OUT2IN` The feature id for the 'Out2in' attribute
`static int` `FUNCTION_NAME_PAIR_FEATURE_COUNT` The number of structural features of the 'Function Name Pair' class
`static int` `FUNCTION_PAIR` The meta object id for the '`Function Pair`' class
`static int` `FUNCTION_PAIR__HELPED_OBJECT` The feature id for the 'Helped Object' reference
`static int` `FUNCTION_PAIR__IN2OUT` The feature id for the 'In2out' reference
`static int` `FUNCTION_PAIR__MAPPER` The feature id for the 'Mapper' container reference
`static int` `FUNCTION_PAIR__NESTED` The feature id for the 'Nested' containment reference list
`static int` `FUNCTION_PAIR__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `FUNCTION_PAIR__OUT2IN` The feature id for the 'Out2in' reference
`static int` `FUNCTION_PAIR_FEATURE_COUNT` The number of structural features of the 'Function Pair' class
`static int` `MAPPING` The meta object id for the '`Mapping`' class
`static int` `MAPPING__HELPER` The feature id for the 'Helper' containment reference
`static int` `MAPPING__INPUTS` The feature id for the 'Inputs' reference list
`static int` `MAPPING__NESTED` The feature id for the 'Nested' containment reference list
`static int` `MAPPING__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `MAPPING__OUTPUTS` The feature id for the 'Outputs' reference list
`static int` `MAPPING__TYPE_MAPPING` The feature id for the 'Type Mapping' reference
`static int` `MAPPING_FEATURE_COUNT` The number of structural features of the 'Mapping' class
`static int` `MAPPING_HELPER` The meta object id for the '`Helper`' class
`static int` `MAPPING_HELPER__HELPED_OBJECT` The feature id for the 'Helped Object' reference
`static int` `MAPPING_HELPER__MAPPER` The feature id for the 'Mapper' container reference
`static int` `MAPPING_HELPER__NESTED` The feature id for the 'Nested' containment reference list
`static int` `MAPPING_HELPER__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `MAPPING_HELPER_FEATURE_COUNT` The number of structural features of the 'Helper' class
`static int` `MAPPING_ROOT` The meta object id for the '`Root`' class
`static int` `MAPPING_ROOT__COMMAND_STACK` The feature id for the 'Command Stack' attribute
`static int` `MAPPING_ROOT__HELPER` The feature id for the 'Helper' containment reference
`static int` `MAPPING_ROOT__INPUTS` The feature id for the 'Inputs' reference list
`static int` `MAPPING_ROOT__NESTED` The feature id for the 'Nested' containment reference list
`static int` `MAPPING_ROOT__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `MAPPING_ROOT__OUTPUT_READ_ONLY` The feature id for the 'Output Read Only' attribute
`static int` `MAPPING_ROOT__OUTPUTS` The feature id for the 'Outputs' reference list
`static int` `MAPPING_ROOT__TOP_TO_BOTTOM` The feature id for the 'Top To Bottom' attribute
`static int` `MAPPING_ROOT__TYPE_MAPPING` The feature id for the 'Type Mapping' reference
`static int` `MAPPING_ROOT_FEATURE_COUNT` The number of structural features of the 'Root' class
`static int` `MAPPING_STRATEGY` The meta object id for the '`Strategy`' class
`static int` `MAPPING_STRATEGY__HELPED_OBJECT` The feature id for the 'Helped Object' reference
`static int` `MAPPING_STRATEGY__MAPPER` The feature id for the 'Mapper' container reference
`static int` `MAPPING_STRATEGY__NESTED` The feature id for the 'Nested' containment reference list
`static int` `MAPPING_STRATEGY__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `MAPPING_STRATEGY_FEATURE_COUNT` The number of structural features of the 'Strategy' class
`static int` `TYPE_CONVERTER` The meta object id for the '`Type Converter`' class
`static int` `TYPE_CONVERTER__HELPED_OBJECT` The feature id for the 'Helped Object' reference
`static int` `TYPE_CONVERTER__MAPPER` The feature id for the 'Mapper' container reference
`static int` `TYPE_CONVERTER__NESTED` The feature id for the 'Nested' containment reference list
`static int` `TYPE_CONVERTER__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `TYPE_CONVERTER_FEATURE_COUNT` The number of structural features of the 'Type Converter' class

Method Summary
`EReference` `getComplexTypeConverter_In2out()` Returns the meta object for the reference '`In2out`'
`EReference` `getComplexTypeConverter_Out2in()` Returns the meta object for the reference '`Out2in`'
`EClass` `getComplexTypeConverter()` Returns the meta object for class '`Complex Type Converter`'
`EAttribute` `getFunctionNamePair_In2out()` Returns the meta object for the attribute '`In2out`'
`EAttribute` `getFunctionNamePair_Out2in()` Returns the meta object for the attribute '`Out2in`'
`EClass` `getFunctionNamePair()` Returns the meta object for class '`Function Name Pair`'
`EReference` `getFunctionPair_In2out()` Returns the meta object for the reference '`In2out`'
`EReference` `getFunctionPair_Out2in()` Returns the meta object for the reference '`Out2in`'
`EClass` `getFunctionPair()` Returns the meta object for class '`Function Pair`'
`EReference` `getMapping_Helper()` Returns the meta object for the containment reference '`Helper`'
`EReference` `getMapping_Inputs()` Returns the meta object for the reference list '`Inputs`'
`EReference` `getMapping_Nested()` Returns the meta object for the containment reference list '`Nested`'
`EReference` `getMapping_NestedIn()` Returns the meta object for the container reference '`Nested In`'
`EReference` `getMapping_Outputs()` Returns the meta object for the reference list '`Outputs`'
`EReference` `getMapping_TypeMapping()` Returns the meta object for the reference '`Type Mapping`'
`EClass` `getMapping()` Returns the meta object for class '`Mapping`'
`MappingFactory` `getMappingFactory()` Returns the factory that creates the instances of the model
`EReference` `getMappingHelper_HelpedObject()` Returns the meta object for the reference '`Helped Object`'
`EReference` `getMappingHelper_Mapper()` Returns the meta object for the container reference '`Mapper`'
`EReference` `getMappingHelper_Nested()` Returns the meta object for the containment reference list '`Nested`'
`EReference` `getMappingHelper_NestedIn()` Returns the meta object for the container reference '`Nested In`'
`EClass` `getMappingHelper()` Returns the meta object for class '`Helper`'
`EAttribute` `getMappingRoot_CommandStack()` Returns the meta object for the attribute '`Command Stack`'
`EAttribute` `getMappingRoot_OutputReadOnly()` Returns the meta object for the attribute '`Output Read Only`'
`EAttribute` `getMappingRoot_TopToBottom()` Returns the meta object for the attribute '`Top To Bottom`'
`EClass` `getMappingRoot()` Returns the meta object for class '`Root`'
`EClass` `getMappingStrategy()` Returns the meta object for class '`Strategy`'
`EClass` `getTypeConverter()` Returns the meta object for class '`Type Converter`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MappingPackage eINSTANCE

  The singleton instance of the package.

### MAPPING_HELPER

    static final int MAPPING_HELPER

  The meta object id for the '`Helper`' class.

  See Also:
    `MappingHelperImpl`, `MappingPackageImpl.getMappingHelper()`, Constant Field Values

### MAPPING_HELPER__MAPPER

    static final int MAPPING_HELPER__MAPPER

  The feature id for the 'Mapper' container reference.

  See Also:
    Constant Field Values

### MAPPING_HELPER__HELPED_OBJECT

    static final int MAPPING_HELPER__HELPED_OBJECT

  The feature id for the 'Helped Object' reference.

  See Also:
    Constant Field Values

### MAPPING_HELPER__NESTED_IN

    static final int MAPPING_HELPER__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### MAPPING_HELPER__NESTED

    static final int MAPPING_HELPER__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### MAPPING_HELPER_FEATURE_COUNT

    static final int MAPPING_HELPER_FEATURE_COUNT

  The number of structural features of the 'Helper' class.

  See Also:
    Constant Field Values

### MAPPING

    static final int MAPPING

  The meta object id for the '`Mapping`' class.

  See Also:
    `MappingImpl`, `MappingPackageImpl.getMapping()`, Constant Field Values

### MAPPING__HELPER

    static final int MAPPING__HELPER

  The feature id for the 'Helper' containment reference.

  See Also:
    Constant Field Values

### MAPPING__NESTED

    static final int MAPPING__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### MAPPING__NESTED_IN

    static final int MAPPING__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### MAPPING__INPUTS

    static final int MAPPING__INPUTS

  The feature id for the 'Inputs' reference list.

  See Also:
    Constant Field Values

### MAPPING__OUTPUTS

    static final int MAPPING__OUTPUTS

  The feature id for the 'Outputs' reference list.

  See Also:
    Constant Field Values

### MAPPING__TYPE_MAPPING

    static final int MAPPING__TYPE_MAPPING

  The feature id for the 'Type Mapping' reference.

  See Also:
    Constant Field Values

### MAPPING_FEATURE_COUNT

    static final int MAPPING_FEATURE_COUNT

  The number of structural features of the 'Mapping' class.

  See Also:
    Constant Field Values

### TYPE_CONVERTER

    static final int TYPE_CONVERTER

  The meta object id for the '`Type Converter`' class.

  See Also:
    `TypeConverterImpl`, `MappingPackageImpl.getTypeConverter()`, Constant Field Values

### TYPE_CONVERTER__MAPPER

    static final int TYPE_CONVERTER__MAPPER

  The feature id for the 'Mapper' container reference.

  See Also:
    Constant Field Values

### TYPE_CONVERTER__HELPED_OBJECT

    static final int TYPE_CONVERTER__HELPED_OBJECT

  The feature id for the 'Helped Object' reference.

  See Also:
    Constant Field Values

### TYPE_CONVERTER__NESTED_IN

    static final int TYPE_CONVERTER__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### TYPE_CONVERTER__NESTED

    static final int TYPE_CONVERTER__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### TYPE_CONVERTER_FEATURE_COUNT

    static final int TYPE_CONVERTER_FEATURE_COUNT

  The number of structural features of the 'Type Converter' class.

  See Also:
    Constant Field Values

### FUNCTION_PAIR

    static final int FUNCTION_PAIR

  The meta object id for the '`Function Pair`' class.

  See Also:
    `FunctionPairImpl`, `MappingPackageImpl.getFunctionPair()`, Constant Field Values

### FUNCTION_PAIR__MAPPER

    static final int FUNCTION_PAIR__MAPPER

  The feature id for the 'Mapper' container reference.

  See Also:
    Constant Field Values

### FUNCTION_PAIR__HELPED_OBJECT

    static final int FUNCTION_PAIR__HELPED_OBJECT

  The feature id for the 'Helped Object' reference.

  See Also:
    Constant Field Values

### FUNCTION_PAIR__NESTED_IN

    static final int FUNCTION_PAIR__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### FUNCTION_PAIR__NESTED

    static final int FUNCTION_PAIR__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### FUNCTION_PAIR__IN2OUT

    static final int FUNCTION_PAIR__IN2OUT

  The feature id for the 'In2out' reference.

  See Also:
    Constant Field Values

### FUNCTION_PAIR__OUT2IN

    static final int FUNCTION_PAIR__OUT2IN

  The feature id for the 'Out2in' reference.

  See Also:
    Constant Field Values

### FUNCTION_PAIR_FEATURE_COUNT

    static final int FUNCTION_PAIR_FEATURE_COUNT

  The number of structural features of the 'Function Pair' class.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR

    static final int FUNCTION_NAME_PAIR

  The meta object id for the '`Function Name Pair`' class.

  See Also:
    `FunctionNamePairImpl`, `MappingPackageImpl.getFunctionNamePair()`, Constant Field Values

### FUNCTION_NAME_PAIR__MAPPER

    static final int FUNCTION_NAME_PAIR__MAPPER

  The feature id for the 'Mapper' container reference.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR__HELPED_OBJECT

    static final int FUNCTION_NAME_PAIR__HELPED_OBJECT

  The feature id for the 'Helped Object' reference.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR__NESTED_IN

    static final int FUNCTION_NAME_PAIR__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR__NESTED

    static final int FUNCTION_NAME_PAIR__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR__IN2OUT

    static final int FUNCTION_NAME_PAIR__IN2OUT

  The feature id for the 'In2out' attribute.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR__OUT2IN

    static final int FUNCTION_NAME_PAIR__OUT2IN

  The feature id for the 'Out2in' attribute.

  See Also:
    Constant Field Values

### FUNCTION_NAME_PAIR_FEATURE_COUNT

    static final int FUNCTION_NAME_PAIR_FEATURE_COUNT

  The number of structural features of the 'Function Name Pair' class.

  See Also:
    Constant Field Values

### MAPPING_STRATEGY

    static final int MAPPING_STRATEGY

  The meta object id for the '`Strategy`' class.

  See Also:
    `MappingStrategyImpl`, `MappingPackageImpl.getMappingStrategy()`, Constant Field Values

### MAPPING_STRATEGY__MAPPER

    static final int MAPPING_STRATEGY__MAPPER

  The feature id for the 'Mapper' container reference.

  See Also:
    Constant Field Values

### MAPPING_STRATEGY__HELPED_OBJECT

    static final int MAPPING_STRATEGY__HELPED_OBJECT

  The feature id for the 'Helped Object' reference.

  See Also:
    Constant Field Values

### MAPPING_STRATEGY__NESTED_IN

    static final int MAPPING_STRATEGY__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### MAPPING_STRATEGY__NESTED

    static final int MAPPING_STRATEGY__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### MAPPING_STRATEGY_FEATURE_COUNT

    static final int MAPPING_STRATEGY_FEATURE_COUNT

  The number of structural features of the 'Strategy' class.

  See Also:
    Constant Field Values

### MAPPING_ROOT

    static final int MAPPING_ROOT

  The meta object id for the '`Root`' class.

  See Also:
    `MappingRootImpl`, `MappingPackageImpl.getMappingRoot()`, Constant Field Values

### MAPPING_ROOT__HELPER

    static final int MAPPING_ROOT__HELPER

  The feature id for the 'Helper' containment reference.

  See Also:
    Constant Field Values

### MAPPING_ROOT__NESTED

    static final int MAPPING_ROOT__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### MAPPING_ROOT__NESTED_IN

    static final int MAPPING_ROOT__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### MAPPING_ROOT__INPUTS

    static final int MAPPING_ROOT__INPUTS

  The feature id for the 'Inputs' reference list.

  See Also:
    Constant Field Values

### MAPPING_ROOT__OUTPUTS

    static final int MAPPING_ROOT__OUTPUTS

  The feature id for the 'Outputs' reference list.

  See Also:
    Constant Field Values

### MAPPING_ROOT__TYPE_MAPPING

    static final int MAPPING_ROOT__TYPE_MAPPING

  The feature id for the 'Type Mapping' reference.

  See Also:
    Constant Field Values

### MAPPING_ROOT__OUTPUT_READ_ONLY

    static final int MAPPING_ROOT__OUTPUT_READ_ONLY

  The feature id for the 'Output Read Only' attribute.

  See Also:
    Constant Field Values

### MAPPING_ROOT__TOP_TO_BOTTOM

    static final int MAPPING_ROOT__TOP_TO_BOTTOM

  The feature id for the 'Top To Bottom' attribute.

  See Also:
    Constant Field Values

### MAPPING_ROOT__COMMAND_STACK

    static final int MAPPING_ROOT__COMMAND_STACK

  The feature id for the 'Command Stack' attribute.

  See Also:
    Constant Field Values

### MAPPING_ROOT_FEATURE_COUNT

    static final int MAPPING_ROOT_FEATURE_COUNT

  The number of structural features of the 'Root' class.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER

    static final int COMPLEX_TYPE_CONVERTER

  The meta object id for the '`Complex Type Converter`' class.

  See Also:
    `ComplexTypeConverterImpl`, `MappingPackageImpl.getComplexTypeConverter()`, Constant Field Values

### COMPLEX_TYPE_CONVERTER__MAPPER

    static final int COMPLEX_TYPE_CONVERTER__MAPPER

  The feature id for the 'Mapper' container reference.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER__HELPED_OBJECT

    static final int COMPLEX_TYPE_CONVERTER__HELPED_OBJECT

  The feature id for the 'Helped Object' reference.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER__NESTED_IN

    static final int COMPLEX_TYPE_CONVERTER__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER__NESTED

    static final int COMPLEX_TYPE_CONVERTER__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER__IN2OUT

    static final int COMPLEX_TYPE_CONVERTER__IN2OUT

  The feature id for the 'In2out' reference.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER__OUT2IN

    static final int COMPLEX_TYPE_CONVERTER__OUT2IN

  The feature id for the 'Out2in' reference.

  See Also:
    Constant Field Values

### COMPLEX_TYPE_CONVERTER_FEATURE_COUNT

    static final int COMPLEX_TYPE_CONVERTER_FEATURE_COUNT

  The number of structural features of the 'Complex Type Converter' class.

  See Also:
    Constant Field Values

Method Detail

### getMappingHelper

    EClass getMappingHelper()

  Returns the meta object for class '`Helper`'.

  Returns:
    the meta object for class 'Helper'.
  See Also:
    `MappingHelper`

### getMappingHelper_Mapper

    EReference getMappingHelper_Mapper()

  Returns the meta object for the container reference '`Mapper`'.

  Returns:
    the meta object for the container reference 'Mapper'.
  See Also:
    `MappingHelper.getMapper()`, `getMappingHelper()`

### getMappingHelper_HelpedObject

    EReference getMappingHelper_HelpedObject()

  Returns the meta object for the reference '`Helped Object`'.

  Returns:
    the meta object for the reference 'Helped Object'.
  See Also:
    `MappingHelper.getHelpedObject()`, `getMappingHelper()`

### getMappingHelper_NestedIn

    EReference getMappingHelper_NestedIn()

  Returns the meta object for the container reference '`Nested In`'.

  Returns:
    the meta object for the container reference 'Nested In'.
  See Also:
    `MappingHelper.getNestedIn()`, `getMappingHelper()`

### getMappingHelper_Nested

    EReference getMappingHelper_Nested()

  Returns the meta object for the containment reference list '`Nested`'.

  Returns:
    the meta object for the containment reference list 'Nested'.
  See Also:
    `MappingHelper.getNested()`, `getMappingHelper()`

### getMapping

    EClass getMapping()

  Returns the meta object for class '`Mapping`'.

  Returns:
    the meta object for class 'Mapping'.
  See Also:
    `Mapping`

### getMapping_Helper

    EReference getMapping_Helper()

  Returns the meta object for the containment reference '`Helper`'.

  Returns:
    the meta object for the containment reference 'Helper'.
  See Also:
    `Mapping.getHelper()`, `getMapping()`

### getMapping_Nested

    EReference getMapping_Nested()

  Returns the meta object for the containment reference list '`Nested`'.

  Returns:
    the meta object for the containment reference list 'Nested'.
  See Also:
    `Mapping.getNested()`, `getMapping()`

### getMapping_NestedIn

    EReference getMapping_NestedIn()

  Returns the meta object for the container reference '`Nested In`'.

  Returns:
    the meta object for the container reference 'Nested In'.
  See Also:
    `Mapping.getNestedIn()`, `getMapping()`

### getMapping_Inputs

    EReference getMapping_Inputs()

  Returns the meta object for the reference list '`Inputs`'.

  Returns:
    the meta object for the reference list 'Inputs'.
  See Also:
    `Mapping.getInputs()`, `getMapping()`

### getMapping_Outputs

    EReference getMapping_Outputs()

  Returns the meta object for the reference list '`Outputs`'.

  Returns:
    the meta object for the reference list 'Outputs'.
  See Also:
    `Mapping.getOutputs()`, `getMapping()`

### getMapping_TypeMapping

    EReference getMapping_TypeMapping()

  Returns the meta object for the reference '`Type Mapping`'.

  Returns:
    the meta object for the reference 'Type Mapping'.
  See Also:
    `Mapping.getTypeMapping()`, `getMapping()`

### getTypeConverter

    EClass getTypeConverter()

  Returns the meta object for class '`Type Converter`'.

  Returns:
    the meta object for class 'Type Converter'.
  See Also:
    `TypeConverter`

### getFunctionPair

    EClass getFunctionPair()

  Returns the meta object for class '`Function Pair`'.

  Returns:
    the meta object for class 'Function Pair'.
  See Also:
    `FunctionPair`

### getFunctionPair_In2out

    EReference getFunctionPair_In2out()

  Returns the meta object for the reference '`In2out`'.

  Returns:
    the meta object for the reference 'In2out'.
  See Also:
    `FunctionPair.getIn2out()`, `getFunctionPair()`

### getFunctionPair_Out2in

    EReference getFunctionPair_Out2in()

  Returns the meta object for the reference '`Out2in`'.

  Returns:
    the meta object for the reference 'Out2in'.
  See Also:
    `FunctionPair.getOut2in()`, `getFunctionPair()`

### getFunctionNamePair

    EClass getFunctionNamePair()

  Returns the meta object for class '`Function Name Pair`'.

  Returns:
    the meta object for class 'Function Name Pair'.
  See Also:
    `FunctionNamePair`

### getFunctionNamePair_In2out

    EAttribute getFunctionNamePair_In2out()

  Returns the meta object for the attribute '`In2out`'.

  Returns:
    the meta object for the attribute 'In2out'.
  See Also:
    `FunctionNamePair.getIn2out()`, `getFunctionNamePair()`

### getFunctionNamePair_Out2in

    EAttribute getFunctionNamePair_Out2in()

  Returns the meta object for the attribute '`Out2in`'.

  Returns:
    the meta object for the attribute 'Out2in'.
  See Also:
    `FunctionNamePair.getOut2in()`, `getFunctionNamePair()`

### getMappingStrategy

    EClass getMappingStrategy()

  Returns the meta object for class '`Strategy`'.

  Returns:
    the meta object for class 'Strategy'.
  See Also:
    `MappingStrategy`

### getMappingRoot

    EClass getMappingRoot()

  Returns the meta object for class '`Root`'.

  Returns:
    the meta object for class 'Root'.
  See Also:
    `MappingRoot`

### getMappingRoot_OutputReadOnly

    EAttribute getMappingRoot_OutputReadOnly()

  Returns the meta object for the attribute '`Output Read Only`'.

  Returns:
    the meta object for the attribute 'Output Read Only'.
  See Also:
    `MappingRoot.isOutputReadOnly()`, `getMappingRoot()`

### getMappingRoot_TopToBottom

    EAttribute getMappingRoot_TopToBottom()

  Returns the meta object for the attribute '`Top To Bottom`'.

  Returns:
    the meta object for the attribute 'Top To Bottom'.
  See Also:
    `MappingRoot.isTopToBottom()`, `getMappingRoot()`

### getMappingRoot_CommandStack

    EAttribute getMappingRoot_CommandStack()

  Returns the meta object for the attribute '`Command Stack`'.

  Returns:
    the meta object for the attribute 'Command Stack'.
  See Also:
    `MappingRoot.getCommandStack()`, `getMappingRoot()`

### getComplexTypeConverter

    EClass getComplexTypeConverter()

  Returns the meta object for class '`Complex Type Converter`'.

  Returns:
    the meta object for class 'Complex Type Converter'.
  See Also:
    `ComplexTypeConverter`

### getComplexTypeConverter_In2out

    EReference getComplexTypeConverter_In2out()

  Returns the meta object for the reference '`In2out`'.

  Returns:
    the meta object for the reference 'In2out'.
  See Also:
    `ComplexTypeConverter.getIn2out()`, `getComplexTypeConverter()`

### getComplexTypeConverter_Out2in

    EReference getComplexTypeConverter_Out2in()

  Returns the meta object for the reference '`Out2in`'.

  Returns:
    the meta object for the reference 'Out2in'.
  See Also:
    `ComplexTypeConverter.getOut2in()`, `getComplexTypeConverter()`

### getMappingFactory

    MappingFactory getMappingFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.